import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Link } from '@s-ui/react-router';
import cx from 'classnames';

var renderContent = function renderContent(icon, literal) {
  return icon && literal ? /*#__PURE__*/_jsxs("span", {
    children: [icon, literal]
  }) : literal || icon;
};

export default function LinkBasic(_ref) {
  var className = _ref.className,
      disabled = _ref.disabled,
      handleClick = _ref.handleClick,
      icon = _ref.icon,
      literal = _ref.literal,
      rel = _ref.rel,
      target = _ref.target,
      title = _ref.title,
      useReactRouterLinks = _ref.useReactRouterLinks,
      _ref$url = _ref.url,
      url = _ref$url === void 0 ? '#' : _ref$url;
  var linkClassName = cx('sui-LinkBasic', className);
  var content = renderContent(icon, literal);

  if (disabled) {
    return /*#__PURE__*/_jsx("span", {
      className: linkClassName,
      onClick: handleClick,
      title: title,
      children: content
    });
  }

  if (useReactRouterLinks) {
    return /*#__PURE__*/_jsx(Link, {
      className: linkClassName,
      onClick: handleClick,
      rel: rel,
      target: target,
      title: title,
      to: url,
      children: content
    });
  }

  return /*#__PURE__*/_jsx("a", {
    className: linkClassName,
    href: url,
    onClick: handleClick,
    rel: rel,
    target: target,
    title: title,
    children: content
  });
}
LinkBasic.displayName = 'LinkBasic';